package ch.pizzalemon.android.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;

/**
 * Created by cimenmus on 29.11.2017.
 */

public class AddToBasketOptionModel{

    @SerializedName("optionId")
    @Expose
    private String optionId;
    @SerializedName("selectedOptionValues")
    @Expose
    private ArrayList<String> selectedOptionValues;

    public AddToBasketOptionModel(String optionId, ArrayList<String> selectedOptionValues) {
        this.optionId = optionId;
        this.selectedOptionValues = selectedOptionValues;
    }

    public AddToBasketOptionModel(String optionId, String selectedOptionValue) {
        this.optionId = optionId;
        this.selectedOptionValues = new ArrayList<>();
        selectedOptionValues.add(selectedOptionValue);
    }

    public String getOptionId() {
        return optionId;
    }

    public void setOptionId(String optionId) {
        this.optionId = optionId;
    }

    public ArrayList<String> getSelectedOptionValueList() {
        return selectedOptionValues;
    }

    public void setSelectedOptionValueList(ArrayList<String> selectedOptionValues) {
        this.selectedOptionValues = selectedOptionValues;
    }
}
